Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
ruby_gc_params_t Struct Reference

## Data Fields
unsigned int | heap_init_slots
unsigned int | heap_free_slots
double | growth_factor
unsigned int | growth_max_slots
double | oldobject_limit_factor
unsigned int | malloc_limit_min
unsigned int | malloc_limit_max
double | malloc_limit_growth_factor
unsigned int | oldmalloc_limit_min
unsigned int | oldmalloc_limit_max
double | oldmalloc_limit_growth_factor
VALUE | gc_stress

## Detailed Description

Definition at line 135 of file gc.c.

## Field Documentation

VALUE ruby_gc_params_t::gc_stress

Definition at line 148 of file gc.c.

double ruby_gc_params_t::growth_factor

Definition at line 138 of file gc.c.

Referenced by heap_set_increment(), and ruby_gc_set_params().

unsigned int ruby_gc_params_t::growth_max_slots

Definition at line 139 of file gc.c.

Referenced by heap_set_increment(), and ruby_gc_set_params().

unsigned int ruby_gc_params_t::heap_free_slots

Definition at line 137 of file gc.c.

Referenced by gc_before_sweep(), and ruby_gc_set_params().

unsigned int ruby_gc_params_t::heap_init_slots

Definition at line 136 of file gc.c.

Referenced by gc_before_sweep(), gc_set_initial_pages(), Init_heap(), and ruby_gc_set_params().

double ruby_gc_params_t::malloc_limit_growth_factor

Definition at line 143 of file gc.c.

Referenced by gc_before_sweep(), and ruby_gc_set_params().

unsigned int ruby_gc_params_t::malloc_limit_max

Definition at line 142 of file gc.c.

Referenced by gc_before_sweep(), and ruby_gc_set_params().

unsigned int ruby_gc_params_t::malloc_limit_min

Definition at line 141 of file gc.c.

Referenced by gc_before_sweep(), rb_objspace_alloc(), and ruby_gc_set_params().

double ruby_gc_params_t::oldmalloc_limit_growth_factor

Definition at line 146 of file gc.c.

Referenced by gc_before_sweep(), and ruby_gc_set_params().

unsigned int ruby_gc_params_t::oldmalloc_limit_max

Definition at line 145 of file gc.c.

Referenced by gc_before_sweep(), and ruby_gc_set_params().

unsigned int ruby_gc_params_t::oldmalloc_limit_min

Definition at line 144 of file gc.c.

Referenced by gc_before_sweep(), Init_heap(), and ruby_gc_set_params().

double ruby_gc_params_t::oldobject_limit_factor

Definition at line 140 of file gc.c.

Referenced by gc_marks(), and ruby_gc_set_params().

The documentation for this struct was generated from the following file:

- gc.c